Subject: Re: tzset et al
From: "Gerrit P. Haase" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Oct 2004 14:27:23 +0200

Corinna wrote:

> On Oct 14 13:17, Gerrit P. Haase wrote:
>> Corinna wrote:
>> > Hmm, I just tried Robert's test program on a DLL from current CVS:
>> 
>> > $ ./tzset.exe 
>> > std:WEST
>> > dst:WEDT
>> 
>> > and it works regardless if $TZ is set or not.  Could you debug this further?
>> 
>> No, I have no idea, it just don't work for me.
>> 
>> cygwin version: 1.5.10(0.116/4/2)

> Did you try with a recent DLL?

1.5.11.

> That's not helpful.  Don't you have a DLL which is not stripped?

No, isn't available for download... And I have no time to build cygwin now.

It works ok at my NT4 server, it doesn't work at my W2K workstation and
it doesn't work at my XP notebook.

The difference is that I have defined TZ in the environment at this NT4
box and here not.  It also works here when I export TZ=... It seems that
I need TZ to be defined. 

SableVM specific:

The actual problem is that I get errors when compiling sablevm classpath
because of an undeclard identifier, time.h and sys/time.h are included
and tzname and timezone should be defined, however I'm getting an error.

Now I see that there is -ansi at the commandline and that is the
problem, tzname et al is guarded with !__STRICT_ANSI__ in time.h and
therefore it is not defined. 

Is tzname and timezone not ANSI?  Why is it used in sablevm then?  Or is
the Cygwin time.h wrong about this?

> Where you can set a breakpoint to tzset before stepping?

I need a debug version of cygwin1.dll.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/